# Class Tools.AutoDoc.PikeObjects.Enum

Inheritance graph

Description

  The enum container.

Variable children

  `array(DocGroup) Tools.AutoDoc.PikeObjects.Enum.children`

Description

  The set of children.

Variable documentation

  `Documentation Tools.AutoDoc.PikeObjects.Enum.documentation`

Description

  Mimic the `class { ... }` behaviour.

Inherit PikeObject

  inherit PikeObject : PikeObject

Constant objtype

  `constant string Tools.AutoDoc.PikeObjects.Enum.objtype`